Page MenuHomePhabricator

Fatal Error: "Tag hook for noexternallanglinks is not callable" (1.30.0-wmf.4/includes/parser/Parser.php)
Closed, ResolvedPublic

Description

https://test2.wikipedia.org/wiki/Main_Page?

[WTc6bApAEKkAADjb1VEAAAAF] /wiki/Main_Page MWException from line 3382 of /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Parser.php: Tag hook for noexternallanglinks is not callable
Backtrace:

#0 /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Parser.php(3136): Parser->callParserFunction(PPFrame_Hash, string, array)
#1 /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Preprocessor_Hash.php(1072): Parser->braceSubstitution(array, PPFrame_Hash)
#2 /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Parser.php(2950): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#3 /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Parser.php(1305): Parser->replaceVariables(string)
#4 /srv/mediawiki/php-1.30.0-wmf.4/includes/parser/Parser.php(451): Parser->internalParse(string)
#5 /srv/mediawiki/php-1.30.0-wmf.4/includes/content/WikitextContent.php(330): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#6 /srv/mediawiki/php-1.30.0-wmf.4/includes/content/AbstractContent.php(497): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#7 /srv/mediawiki/php-1.30.0-wmf.4/includes/poolcounter/PoolWorkArticleView.php(140): AbstractContent->getParserOutput(Title, integer, ParserOptions)
#8 /srv/mediawiki/php-1.30.0-wmf.4/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
#9 /srv/mediawiki/php-1.30.0-wmf.4/includes/page/Article.php(586): PoolCounterWork->execute()
#10 /srv/mediawiki/php-1.30.0-wmf.4/includes/actions/ViewAction.php(68): Article->view()
#11 /srv/mediawiki/php-1.30.0-wmf.4/includes/MediaWiki.php(499): ViewAction->show()
#12 /srv/mediawiki/php-1.30.0-wmf.4/includes/MediaWiki.php(293): MediaWiki->performAction(Article, Title)
#13 /srv/mediawiki/php-1.30.0-wmf.4/includes/MediaWiki.php(862): MediaWiki->performRequest()
#14 /srv/mediawiki/php-1.30.0-wmf.4/includes/MediaWiki.php(523): MediaWiki->main()
#15 /srv/mediawiki/php-1.30.0-wmf.4/index.php(43): MediaWiki->run()
#16 /srv/mediawiki/w/index.php(3): include(string)
#17 {main}

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFix NoLangLinkHandler
mediawiki/extensions/Wikibase : wmf/1.30.0-wmf.4Fix NoLangLinkHandler

Event Timeline

Krinkle created this task.Jun 6 2017, 11:28 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 6 2017, 11:28 PM
Krinkle updated the task description. (Show Details)Jun 6 2017, 11:29 PM

Change 357523 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Wikibase@master] Fix NoLangLinkHandler

https://gerrit.wikimedia.org/r/357523

Change 357527 had a related patch set uploaded (by Aude; owner: Mattflaschen):
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.4] Fix NoLangLinkHandler

https://gerrit.wikimedia.org/r/357527

Change 357523 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix NoLangLinkHandler

https://gerrit.wikimedia.org/r/357523

Change 357527 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.4] Fix NoLangLinkHandler

https://gerrit.wikimedia.org/r/357527

Thanks so much for looking into this and fixing it!

Mentioned in SAL (#wikimedia-operations) [2017-06-07T12:56:54Z] <aude@tin> Synchronized php-1.30.0-wmf.4/extensions/Wikidata: Fix parser function registration T167238 (duration: 02m 20s)

mmodell closed this task as Resolved.Jun 7 2017, 5:54 PM
mmodell added a subscriber: mmodell.

I take it this is fixed then.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM